<?xml version="1.0" encoding="UTF-8"?>
<MUPDefinition xsi:schemaLocation="http://schemas.dell.com/openmanage/cm/2/0/mupdefinition.xsd mupdefinition.xsd" xmlns="http://schemas.dell.com/openmanage/cm/2/0/mupdefinition.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<packageinformation>
		<name>Synaptics, Inc</name>
<version>18.1.34.36</version>
		<installertype>custom</installertype>
		<packagegrouping>pair_driver_and_application</packagegrouping>
		<packagingtype>executable</packagingtype>
		<releasetype>DRVR</releasetype>
		<mupspecificationversion>2.4.2</mupspecificationversion>
		<supportedoperatingsystems>
			<osidentifier name="W2K8"/>
			<osidentifier name="W2K8R2"/>		
			<osidentifier name="Windows8.1"/>
			<osidentifier name="Windows8"/>
			<osidentifier name="Windows7"/>
		</supportedoperatingsystems>
	</packageinformation>
	<executable>
<executablename>Setup.exe</executablename>
	</executable>
	<behaviors>
		<behavior name="attended"/>
		<behavior name="unattended">
			<vendoroption>
				<optionvalue requiresvalue="false" switch="/">s</optionvalue>
			</vendoroption>
		</behavior>
		<behavior name="help">
			<vendoroption>
				<optionvalue requiresvalue="false" switch="/">?</optionvalue>
			</vendoroption>
		</behavior>
		<behavior name="extractdrivers">
			<vendoroption>
				<optionvalue requiresvalue="false" switch="/">s</optionvalue>
			</vendoroption>
			<vendoroption>
				<container>
					<containervalue switch="/" requiresvalue="false" valuedelimiter="" enclose="&quot;">v</containervalue>
					<optionvalue switch="" requiresvalue="true" valuedelimiter="=">EXTRACTDRIVERS</optionvalue>
				</container>
			</vendoroption>
		</behavior>
	</behaviors>
	<parameters>
		<parametermapping name="logfile">
			<vendoroption>
				<container>
					<containervalue switch="/" requiresvalue="false" valuedelimiter="" enclose="&quot;">v</containervalue>
					<optionvalue switch="" requiresvalue="true" valuedelimiter="=">LOGFILE</optionvalue>
				</container>
			</vendoroption>
		</parametermapping>
	</parameters>
	<returncodes>
		<returncodemapping name="SUCCESS">
			<vendorreturncode>0</vendorreturncode>
		</returncodemapping>
		<returncodemapping name="ERROR">
			<vendorreturncode>1603</vendorreturncode>
		</returncodemapping>
		<returncodemapping name="REBOOT_REQUIRED">
			<vendorreturncode>3010</vendorreturncode>
		</returncodemapping>
		<returncodemapping name="DEP_SOFT_ERROR">
			<vendorreturncode>3</vendorreturncode>
		</returncodemapping>
	</returncodes>
	<inventorymetadata>
		<fullpackageidentifier>
			<registrykeys>
				<registrykey>
					<name>HKEY_LOCAL_MACHINE\Software\Dell\MUP\Synaptics Inc\Synaptics Pointing Device Driver</name>
					<value>Product Name</value>
				</registrykey>
				<registrykey>
					<name>HKEY_LOCAL_MACHINE\Software\Dell\MUP\Synaptics Inc\Synaptics Pointing Device Driver</name>
					<value>Version</value>
				</registrykey>
				<registrykey>
					<name>HKEY_LOCAL_MACHINE\Software\Dell\MUP\Synaptics Inc\Synaptics Pointing Device Driver</name>
					<value>Copyright</value>
				</registrykey>
			</registrykeys>
		</fullpackageidentifier>
	</inventorymetadata>
</MUPDefinition>
